/*
 * Copyright (C) 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

syntax = "proto2";

import "frameworks/base/core/proto/android/graphics/rect.proto";
import "frameworks/base/core/proto/android/view/displaycutout.proto";
import "frameworks/base/core/proto/android/view/windowlayoutparams.proto";

package android.view;

option java_multiple_files = true;

/**
 * Represents a {@link android.view.ViewRootImpl} object.
 */
message ViewRootImplProto {
    optional string view = 1;
    optional int32 display_id = 2;
    optional bool app_visible = 3;
    optional int32 width = 4;
    optional int32 height = 5;
    optional bool is_animating = 6;
    optional .android.graphics.RectProto visible_rect = 7;
    optional bool is_drawing = 8;
    optional bool added = 9;
    optional .android.graphics.RectProto win_frame = 10;
    optional DisplayCutoutProto pending_display_cutout = 11 [deprecated=true];
    optional string last_window_insets = 12;
    optional string soft_input_mode = 13;
    optional int32 scroll_y = 14;
    optional int32 cur_scroll_y = 15;
    optional bool removed = 16;
    optional .android.view.WindowLayoutParamsProto window_attributes = 17;
}